## python-aiohttp 3.13.1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

to-hash-one = $(dir $1).hash/$(addsuffix .hash,$(notdir $1))
to-hash = $(foreach fname,$1,$(call to-hash-one,$(fname)))

CYS := $(wildcard aiohttp/*.pyx) $(wildcard aiohttp/*.pyi)  $(wildcard aiohttp/*.pxd) $(wildcard aiohttp/_websocket/*.pyx) $(wildcard aiohttp/_websocket/*.pyi) $(wildcard aiohttp/_websocket/*.pxd)
PYXS := $(wildcard aiohttp/*.pyx) $(wildcard aiohttp/_websocket/*.pyx)
CS := $(wildcard aiohttp/*.c) $(wildcard aiohttp/_websocket/*.c)
PYS := $(wildcard aiohttp/*.py) $(wildcard aiohttp/_websocket/*.py)
IN := doc-spelling lint cython dev
ALLS := $(sort $(CYS) $(CS) $(PYS) $(REQS))


.PHONY: all
all: test

tst:
	@echo $(call to-hash,requirements/cython.txt)
	@echo $(call to-hash,aiohttp/%.pyx)


# Recipe from https://www.cmcrossroads.com/article/rebuilding-when-files-checksum-changes
FORCE:

# check_sum.py works perfectly fine but slow when called for every file from $(ALLS)
# (perhaps even several times for each file).
# That is why much less readable but faster solution exists
ifneq (, $(shell command -v sha256sum))
%.hash: FORCE
	$(eval $@_ABS := $(abspath $@))
	$(eval $@_NAME := $($@_ABS))
	$(eval $@_HASHDIR := $(dir $($@_ABS)))
	$(eval $@_TMP := $($@_HASHDIR)../$(notdir $($@_ABS)))
	$(eval $@_ORIG := $(subst /.hash/../,/,$(basename $($@_TMP))))
	@#echo ==== $($@_ABS) $($@_HASHDIR) $($@_NAME) $($@_TMP) $($@_ORIG)
	@if ! (sha256sum --check $($@_ABS) 1>/dev/null 2>/dev/null); then \
	  mkdir -p $($@_HASHDIR); \
	  echo re-hash $($@_ORIG); \
	  sha256sum $($@_ORIG) > $($@_ABS); \
	fi
else
%.hash: FORCE
	@./tools/check_sum.py $@ # --debug
endif

# Enumerate intermediate files to don't remove them automatically.
.SECONDARY: $(call to-hash,$(ALLS))

.update-pip:
	@python -m pip install --upgrade pip

.install-cython: .update-pip $(call to-hash,requirements/cython.txt)
	@python -m pip install -r requirements/cython.in -c requirements/cython.txt
	@touch .install-cython

aiohttp/_find_header.c: $(call to-hash,aiohttp/hdrs.py ./tools/gen.py)
	./tools/gen.py

# Special case for reader since we want to be able to disable
# the extension with AIOHTTP_NO_EXTENSIONS
aiohttp/_websocket/reader_c.c: aiohttp/_websocket/reader_c.py
	cython -3 -X freethreading_compatible=True -o $@ $< -I aiohttp -Werror

# _find_headers generator creates _headers.pyi as well
aiohttp/%.c: aiohttp/%.pyx $(call to-hash,$(CYS)) aiohttp/_find_header.c
	cython -3 -X freethreading_compatible=True -o $@ $< -I aiohttp -Werror

aiohttp/_websocket/%.c: aiohttp/_websocket/%.pyx $(call to-hash,$(CYS))
	cython -3 -X freethreading_compatible=True -o $@ $< -I aiohttp -Werror

vendor/llhttp/node_modules: vendor/llhttp/package.json
	cd vendor/llhttp; npm ci

.llhttp-gen: vendor/llhttp/node_modules
	$(MAKE) -C vendor/llhttp generate
	@touch .llhttp-gen

.PHONY: generate-llhttp
generate-llhttp: .llhttp-gen

.PHONY: cythonize
cythonize: .install-cython $(PYXS:.pyx=.c) aiohttp/_websocket/reader_c.c

.PHONY: cythonize-nodeps
cythonize-nodeps: $(PYXS:.pyx=.c) aiohttp/_websocket/reader_c.c

.install-deps: .install-cython $(PYXS:.pyx=.c) aiohttp/_websocket/reader_c.c $(call to-hash,$(CYS) $(REQS))
	@python -m pip install -r requirements/dev.in -c requirements/dev.txt
	@touch .install-deps

.PHONY: lint
lint: fmt mypy

.PHONY: fmt format
fmt format:
	python -m pre_commit run --all-files --show-diff-on-failure

.PHONY: mypy
mypy:
	mypy

.develop: .install-deps generate-llhttp $(call to-hash,$(PYS) $(CYS) $(CS))
	python -m pip install -e . -c requirements/runtime-deps.txt
	@touch .develop

.PHONY: test
test: .develop
	@pytest -q

.PHONY: vtest
vtest: .develop
	@pytest -s -v
	@python -X dev -m pytest -s -v -m dev_mode

.PHONY: vvtest
vvtest: .develop
	@pytest -vv
	@python -X dev -m pytest -s -v -m dev_mode


define run_tests_in_docker
	DOCKER_BUILDKIT=1 docker build --build-arg PYTHON_VERSION=$(1) --build-arg AIOHTTP_NO_EXTENSIONS=$(2) -t "aiohttp-test-$(1)-$(2)" -f tools/testing/Dockerfile .
	docker run --rm -ti -v `pwd`:/src -w /src "aiohttp-test-$(1)-$(2)" $(TEST_SPEC)
endef

.PHONY: test-3.9-no-extensions test
test-3.9-no-extensions:
	$(call run_tests_in_docker,3.9,y)
test-3.9:
	$(call run_tests_in_docker,3.9,n)
test-3.10-no-extensions:
	$(call run_tests_in_docker,3.10,y)
test-3.10:
	$(call run_tests_in_docker,3.10,n)

.PHONY: clean
clean:
	@rm -rf `find . -name __pycache__`
	@rm -rf `find . -name .hash`
	@rm -rf `find . -name .md5`  # old styling
	@rm -f `find . -type f -name '*.py[co]' `
	@rm -f `find . -type f -name '*~' `
	@rm -f `find . -type f -name '.*~' `
	@rm -f `find . -type f -name '@*' `
	@rm -f `find . -type f -name '#*#' `
	@rm -f `find . -type f -name '*.orig' `
	@rm -f `find . -type f -name '*.rej' `
	@rm -f `find . -type f -name '*.md5' `  # old styling
	@rm -f .coverage
	@rm -rf htmlcov
	@rm -rf build
	@rm -rf cover
	@make -C docs clean
	@python setup.py clean
	@rm -f aiohttp/*.so
	@rm -f aiohttp/*.pyd
	@rm -f aiohttp/*.html
	@rm -f aiohttp/_frozenlist.c
	@rm -f aiohttp/_find_header.c
	@rm -f aiohttp/_http_parser.c
	@rm -f aiohttp/_http_writer.c
	@rm -f aiohttp/_websocket.c
	@rm -f aiohttp/_websocket/reader_c.c
	@rm -rf .tox
	@rm -f .develop
	@rm -f .flake
	@rm -rf aiohttp.egg-info
	@rm -f .install-deps
	@rm -f .install-cython
	@rm -rf vendor/llhttp/node_modules
	@rm -f .llhttp-gen
	@$(MAKE) -C vendor/llhttp clean

.PHONY: doc
doc:
	@make -C docs html SPHINXOPTS="-W --keep-going -n -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: doc-spelling
doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W --keep-going -n -E"

.PHONY: install
install: .update-pip
	@python -m pip install -r requirements/dev.in -c requirements/dev.txt

.PHONY: install-dev
install-dev: .develop

.PHONY: sync-direct-runtime-deps
sync-direct-runtime-deps:
	@echo Updating 'requirements/runtime-deps.in' from 'setup.cfg'... >&2
	@python requirements/sync-direct-runtime-deps.py

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going -n
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiohttp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiohttp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiohttp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiohttp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished."

=== vendor/llhttp/Makefile ===
CLANG ?= clang
CFLAGS ?=
OS ?=

CFLAGS += -Os -g3 -Wall -Wextra -Wno-unused-parameter
ifneq ($(OS),Windows_NT) 
	# NOTE: clang on windows does not support fPIC
	CFLAGS += -fPIC
endif

INCLUDES += -Ibuild/

INSTALL ?= install
PREFIX ?= /usr/local
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include

all: build/libllhttp.a build/libllhttp.so

clean:
	rm -rf release/
	rm -rf build/

build/libllhttp.so: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(CLANG) -shared $^ -o $@

build/libllhttp.a: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(AR) rcs $@ build/c/llhttp.o build/native/api.o build/native/http.o

build/c/llhttp.o: build/c/llhttp.c
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/native/%.o: src/native/%.c build/llhttp.h src/native/api.h \
		build/native
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/llhttp.h: generate
build/c/llhttp.c: generate

build/native:
	mkdir -p build/native

release: clean generate
	@echo "${RELEASE}" | grep -q -E ".+" || { echo "Please make sure the RELEASE argument is set."; exit 1; }
	rm -rf release
	mkdir -p release/src
	mkdir -p release/include
	cp -rf build/llhttp.h release/include/
	cp -rf build/c/llhttp.c release/src/
	cp -rf src/native/*.c release/src/
	cp -rf src/llhttp.gyp release/
	cp -rf src/common.gypi release/
	sed s/_RELEASE_/$(RELEASE)/ CMakeLists.txt > release/CMakeLists.txt
	cp -rf libllhttp.pc.in release/
	cp -rf README.md release/
	cp -rf LICENSE release/

github-release:
	@echo "${RELEASE_V}" | grep -q -E "^v" || { echo "Please make sure version starts with \"v\"."; exit 1; }
	gh release create -d --generate-notes ${RELEASE_V}
	@sleep 5
	gh release view ${RELEASE_V} -t "{{.body}}" --json body > RELEASE_NOTES
	gh release delete ${RELEASE_V} -y
	gh release create -F RELEASE_NOTES -d --title ${RELEASE_V} --target release release/${RELEASE_V}
	@sleep 5
	rm -rf RELEASE_NOTES
	open $$(gh release view release/${RELEASE_V} --json url -t "{{.url}}")

postversion: release	
	git fetch origin
	git push
	git checkout release --
	cp -rf release/* ./
	rm -rf release
	git add include src *.gyp *.gypi CMakeLists.txt README.md LICENSE libllhttp.pc.in
	git commit -a -m "release: $(RELEASE)"
	git tag "release/v$(RELEASE)"
	git push && git push --tags
	git checkout main

generate:
	npx ts-node bin/generate.ts

install: build/libllhttp.a build/libllhttp.so
	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) -C build/llhttp.h $(DESTDIR)$(INCLUDEDIR)/llhttp.h
	$(INSTALL) -C build/libllhttp.a $(DESTDIR)$(LIBDIR)/libllhttp.a
	$(INSTALL) build/libllhttp.so $(DESTDIR)$(LIBDIR)/libllhttp.so

.PHONY: all generate clean release postversion github-release

=== debian/changelog ===
python-aiohttp (3.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Skip three failing tests related to netrc authentication.
  * Add Upstream-Contact to debian/copyright.

 -- Edward Betts <edward@4angle.com>  Tue, 21 Oct 2025 06:02:40 +0100

=== debian/control ===
Source: python-aiohttp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
           Paul Tagliamonte <paultag@debian.org>,
           Piotr Ożarowski <piotr@debian.org>,
           William Grzybowski <william@grzy.org>,
           Edward Betts <edward@4angle.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-multidict <!nocheck>,
               python3-async-timeout <!nocheck>,
               python3-yarl (>= 1.18.3) <!nocheck>,
               cython3 <!nocheck>,
               python3-aiosignal <!nocheck>,
               python3-aiodns (>= 3.2.0) <!nocheck>,
               python3-attr <!nocheck>,
               python3-frozenlist <!nocheck>,
               python3-aiohappyeyeballs <!nocheck>,
# for tests:
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-chardet <!nocheck>,
               python3-charset-normalizer <!nocheck>,
               python3-gunicorn <!nocheck>,
# for documentation:
               python-pytest-doc <!nocheck>,
               python-yarl-doc,
               python3-alabaster,
               python3-doc,
               python3-sphinxcontrib.blockdiag
Standards-Version: 4.7.2
Homepage: https://aiohttp.readthedocs.org
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp
Testsuite: autopkgtest-pkg-pybuild

Package: python3-aiohttp
Architecture: any
Depends: python3-yarl, python3-async-timeout (>= 4.0.1), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Recommends: libjs-jquery, python3-aiodns
Description: http client/server for asyncio
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.

Package: python-aiohttp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation of python3-aiohttp
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.
 .
 This package provides HTML documentation for aiohttp.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiohttp
export PYBUILD_TEST_ARGS=--no-cov \
    --ignore-glob=tests/test_benchmark* \
    --ignore=tests/test_imports.py \
    --ignore=tests/test_pytest_plugin.py \
    --ignore=tests/test_client_session.py \
    --ignore=tests/test_proxy_functional.py \
    --ignore=tests/test_urldispatch.py \
    --ignore=tests/test_web_response.py \
    --ignore=tests/test_streams.py \
    --ignore=tests/test_cookiejar.py \
    --ignore=tests/test_web_functional.py \
    --ignore=tests/test_connector.py \
    --ignore=tests/test_web_sendfile_functional.py \
    -k "not test_testcase_no_app and \
        not test_static_file_directory_traversal_attack and \
        not test_empty_body and \
        not test_feed_eof_no_err_brotli and \
        not test_http_response_parser_strict_obs_line_folding and \
        not test_http_response_parser_strict_headers and \
        not test_http_response_parser_bad_chunked_strict_py and \
        not test_http_response_parser_bad_chunked_strict_c and \
        not test_netrc_auth_from_env and \
        not test_netrc_auth_skipped_without_env_var and \
        not test_netrc_auth_overridden_by_explicit_auth"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Work around https://bugs.debian.org/1051837
egg_info := aiohttp.egg-info
egg_info_safe := debian/aiohttp.egg-info.safe
define save-egg-info =
if [ ! -d $(egg_info_safe) ]; then cp -a $(egg_info) $(egg_info_safe); fi
endef
define restore-egg-info =
if [ -d $(egg_info_safe) ]; then rm -rf $(egg_info); cp -a $(egg_info_safe) $(egg_info); fi
endef

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	$(save-egg-info)
	# Ignore missing references.
	${MAKE} -C docs html SPHINXOPTS=
	dh_auto_build
	find . -type d -name '.hash' -exec rm -rf {} +

override_dh_auto_clean:
	rm -rf .cache
	$(save-egg-info)
	dh_auto_clean
	$(restore-egg-info)

override_dh_strip:
	dh_strip --dbgsym-migration='python3-aiohttp-dbg (<< 3.7.4-2~)'

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/a/aiohttp/
Matching-Pattern: aiohttp-@STABLE_VERSION@@ARCHIVE_EXT@

## python-aiohttp 3.13.3

=== Makefile ===
--- 
+++ 
@@ -189,5 +189,5 @@
 
 .PHONY: sync-direct-runtime-deps
 sync-direct-runtime-deps:
-	@echo Updating 'requirements/runtime-deps.in' from 'setup.cfg'... >&2
+	@echo Updating 'requirements/runtime-deps.in' from 'pyproject.toml'... >&2
 	@python requirements/sync-direct-runtime-deps.py

=== debian/changelog ===
python-aiohttp (3.13.3-3) unstable; urgency=medium

  * Skip two performance tests that are failing on riscv64.

 -- Edward Betts <edward@4angle.com>  Thu, 08 Jan 2026 12:28:49 +0000

python-aiohttp (3.13.3-2) unstable; urgency=medium

  * Skip two tests that are failing during autopkgtest, "Too many open files".

 -- Edward Betts <edward@4angle.com>  Tue, 06 Jan 2026 08:14:25 +0000

python-aiohttp (3.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Skip new failing tests.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 05 Jan 2026 22:25:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-aiohttp
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
@@ -36,7 +35,7 @@
                python3-alabaster,
                python3-doc,
                python3-sphinxcontrib.blockdiag
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiohttp

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
     -k "not test_testcase_no_app and \
         not test_static_file_directory_traversal_attack and \
         not test_empty_body and \
+        not test_access_special_resource and \
+        not test_access_mock_special_resource and \
+        not test_ctor and \
+        not test_base_ctor and \
+        not test_cookie_pattern_performance and \
+        not test_regex_performance and \
         not test_feed_eof_no_err_brotli and \
         not test_http_response_parser_strict_obs_line_folding and \
         not test_http_response_parser_strict_headers and \
@@ -24,7 +30,13 @@
         not test_http_response_parser_bad_chunked_strict_c and \
         not test_netrc_auth_from_env and \
         not test_netrc_auth_skipped_without_env_var and \
-        not test_netrc_auth_overridden_by_explicit_auth"
+        not test_netrc_auth_overridden_by_explicit_auth and \
+        not test_aiohttp_request_ctx_manager_not_found and \
+        not test_middleware_uses_session_avoids_recursion_with_path_check and \
+        not test_middleware_uses_session_avoids_recursion_with_disabled_middleware and \
+        not test_netrc_auth_skipped_without_netrc_file and \
+        not test_netrc_auth_from_home_directory and \
+        not test_leak"
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
